package socketclients

import (
	"janex/admin-dashboard-backend/modules/cache"
	"janex/admin-dashboard-backend/modules/structs"
)

// commands sent to web clients
const (
	SentCmdUpdateConnectedUsers = 1
)

func BroadcastMessage(sendSocketMessage structs.SendSocketMessage) {
	for _, client := range cache.GetSocketClients() {
		client.SendMessage(sendSocketMessage)
	}
}

func UpdateConnectedUsers() {
	BroadcastMessage(structs.SendSocketMessage{
		Cmd:  SentCmdUpdateConnectedUsers,
		Body: len(cache.GetSocketClients()),
	})
}
